Skip to main content
POST
Submit a checkout payment action

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Path Parameters

payment_id
string
required

Body

application/json
action
string
required
Example:

"submit_otp"

checkout_ref
string
required
action_data
object | null

Response

Action accepted

status
string
Example:

"success"

data
object